﻿namespace System.Numerics
{
	/// <summary>
	/// The exception that is thrown when the input string contains wrong number of values.
	/// </summary>
	[Serializable]
	public class ValueCountMismatchException : FormatException
	{
		/// <summary>
		/// Initializes a new instance of the class.
		/// </summary>
		public ValueCountMismatchException() : this("Invalid number of values in the input string.") { }

		/// <summary>
		/// Initializes a new instance of the class.
		/// </summary>
		/// <param name="message">Exception message.</param>
		public ValueCountMismatchException(string message) : base(message) { }

		/// <summary>
		/// Initializes a new instance of the class.
		/// </summary>
		/// <param name="message">Exception message.</param>
		/// <param name="inner">Inner exception.</param>
		public ValueCountMismatchException(string message, Exception inner) : base(message, inner) { }

		/// <summary>
		/// Initializes a new instance of the class.
		/// </summary>
		/// <param name="info">The object that holds the serialized object data.</param>
		/// <param name="context">The contextual information about the source or destination.</param>
		protected ValueCountMismatchException(Runtime.Serialization.SerializationInfo info, Runtime.Serialization.StreamingContext context) : base(info, context) { }
	}
}
